## mdocml 1.13.3

=== Makefile ===
# $Id: Makefile,v 1.457 2015/03/13 12:35:32 schwarze Exp $
#
# Copyright (c) 2010, 2011, 2012 Kristaps Dzonsons <kristaps@bsd.lv>
# Copyright (c) 2011, 2013, 2014, 2015 Ingo Schwarze <schwarze@openbsd.org>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

VERSION = 1.13.3

# === LIST OF FILES ====================================================

TESTSRCS	 = test-dirent-namlen.c \
		   test-fgetln.c \
		   test-fts.c \
		   test-getsubopt.c \
		   test-mmap.c \
		   test-ohash.c \
		   test-reallocarray.c \
		   test-sqlite3.c \
		   test-sqlite3_errstr.c \
		   test-strcasestr.c \
		   test-strlcat.c \
		   test-strlcpy.c \
		   test-strptime.c \
		   test-strsep.c \
		   test-strtonum.c \
		   test-wchar.c

SRCS		 = att.c \
		   cgi.c \
		   chars.c \
		   compat_fgetln.c \
		   compat_fts.c \
		   compat_getsubopt.c \
		   compat_ohash.c \
		   compat_reallocarray.c \
		   compat_sqlite3_errstr.c \
		   compat_strcasestr.c \
		   compat_strlcat.c \
		   compat_strlcpy.c \
		   compat_strsep.c \
		   compat_strtonum.c \
		   demandoc.c \
		   eqn.c \
		   eqn_html.c \
		   eqn_term.c \
		   html.c \
		   lib.c \
		   main.c \
		   man.c \
		   man_hash.c \
		   man_html.c \
		   man_macro.c \
		   man_term.c \
		   man_validate.c \
		   mandoc.c \
		   mandoc_aux.c \
		   mandocdb.c \
		   manpage.c \
		   manpath.c \
		   mansearch.c \
		   mansearch_const.c \
		   mdoc.c \
		   mdoc_argv.c \
		   mdoc_hash.c \
		   mdoc_html.c \
		   mdoc_macro.c \
		   mdoc_man.c \
		   mdoc_term.c \
		   mdoc_validate.c \
		   msec.c \
		   out.c \
		   preconv.c \
		   read.c \
		   roff.c \
		   st.c \
		   tbl.c \
		   tbl_data.c \
		   tbl_html.c \
		   tbl_layout.c \
		   tbl_opts.c \
		   tbl_term.c \
		   term.c \
		   term_ascii.c \
		   term_ps.c \
		   tree.c \
		   $(TESTSRCS)

DISTFILES	 = INSTALL \
		   LICENSE \
		   Makefile \
		   Makefile.depend \
		   NEWS \
		   TODO \
		   apropos.1 \
		   cgi.h.example \
		   chars.in \
		   compat_fts.h \
		   compat_ohash.h \
		   configure \
		   configure.local.example \
		   demandoc.1 \
		   eqn.7 \
		   example.style.css \
		   gmdiff \
		   html.h \
		   lib.in \
		   libman.h \
		   libmandoc.h \
		   libmdoc.h \
		   libroff.h \
		   main.h \
		   makewhatis.8 \
		   man-cgi.css \
		   man.1 \
		   man.7 \
		   man.cgi.8 \
		   man.h \
		   mandoc.1 \
		   mandoc.3 \
		   mandoc.db.5 \
		   mandoc.h \
		   mandoc_aux.h \
		   mandoc_char.7 \
		   mandoc_escape.3 \
		   mandoc_headers.3 \
		   mandoc_html.3 \
		   mandoc_malloc.3 \
		   manpath.h \
		   mansearch.3 \
		   mansearch.h \
		   mchars_alloc.3 \
		   mdoc.7 \
		   mdoc.h \
		   msec.in \
		   out.h \
		   predefs.in \
		   roff.7 \
		   st.in \
		   style.css \
		   tbl.3 \
		   tbl.7 \
		   term.h \
		   $(SRCS)

LIBMAN_OBJS	 = man.o \
		   man_hash.o \
		   man_macro.o \
		   man_validate.o

LIBMDOC_OBJS	 = att.o \
		   lib.o \
		   mdoc.o \
		   mdoc_argv.o \
		   mdoc_hash.o \
		   mdoc_macro.o \
		   mdoc_validate.o \
		   st.o

LIBROFF_OBJS	 = eqn.o \
		   roff.o \
		   tbl.o \
		   tbl_data.o \
		   tbl_layout.o \
		   tbl_opts.o

LIBMANDOC_OBJS	 = $(LIBMAN_OBJS) \
		   $(LIBMDOC_OBJS) \
		   $(LIBROFF_OBJS) \
		   chars.o \
		   mandoc.o \
		   mandoc_aux.o \
		   msec.o \
		   preconv.o \
		   read.o

COMPAT_OBJS	 = compat_fgetln.o \
		   compat_fts.o \
		   compat_getsubopt.o \
		   compat_ohash.o \
		   compat_reallocarray.o \
		   compat_sqlite3_errstr.o \
		   compat_strcasestr.o \
		   compat_strlcat.o \
		   compat_strlcpy.o \
		   compat_strsep.o \
		   compat_strtonum.o

MANDOC_HTML_OBJS = eqn_html.o \
		   html.o \
		   man_html.o \
		   mdoc_html.o \
		   tbl_html.o

MANDOC_MAN_OBJS  = mdoc_man.o

MANDOC_TERM_OBJS = eqn_term.o \
		   man_term.o \
		   mdoc_term.o \
		   term.o \
		   term_ascii.o \
		   term_ps.o \
		   tbl_term.o

BASE_OBJS	 = $(MANDOC_HTML_OBJS) \
		   $(MANDOC_MAN_OBJS) \
		   $(MANDOC_TERM_OBJS) \
		   main.o \
		   manpath.o \
		   out.o \
		   tree.o

MAIN_OBJS	 = $(BASE_OBJS)

DB_OBJS		 = mandocdb.o \
		   mansearch.o \
		   mansearch_const.o

CGI_OBJS	 = $(MANDOC_HTML_OBJS) \
		   cgi.o \
		   mansearch.o \
		   mansearch_const.o \
		   out.o

MANPAGE_OBJS	 = manpage.o mansearch.o mansearch_const.o manpath.o

DEMANDOC_OBJS	 = demandoc.o

WWW_MANS	 = apropos.1.html \
		   demandoc.1.html \
		   man.1.html \
		   mandoc.1.html \
		   mandoc.3.html \
		   mandoc_escape.3.html \
		   mandoc_headers.3.html \
		   mandoc_html.3.html \
		   mandoc_malloc.3.html \
		   mansearch.3.html \
		   mchars_alloc.3.html \
		   tbl.3.html \
		   mandoc.db.5.html \
		   eqn.7.html \
		   man.7.html \
		   mandoc_char.7.html \
		   mdoc.7.html \
		   roff.7.html \
		   tbl.7.html \
		   makewhatis.8.html \
		   man.cgi.8.html \
		   man.h.html \
		   mandoc.h.html \
		   mandoc_aux.h.html \
		   manpath.h.html \
		   mansearch.h.html \
		   mdoc.h.html

WWW_OBJS	 = mdocml.tar.gz \
		   mdocml.sha256

# === USER CONFIGURATION ===============================================

include Makefile.local

# === DEPENDENCY HANDLING ==============================================

all: base-build $(BUILD_TARGETS) Makefile.local

base-build: mandoc demandoc

cgi-build: man.cgi

install: base-install $(INSTALL_TARGETS)

www: $(WWW_OBJS) $(WWW_MANS)

$(WWW_MANS): mandoc

.PHONY: base-install cgi-install db-install install www-install
.PHONY: clean distclean depend

include Makefile.depend

# === TARGETS CONTAINING SHELL COMMANDS ================================

distclean: clean
	rm -f Makefile.local config.h config.h.old config.log config.log.old

clean:
	rm -f libmandoc.a $(LIBMANDOC_OBJS) $(COMPAT_OBJS)
	rm -f mandoc $(BASE_OBJS) $(DB_OBJS)
	rm -f man.cgi $(CGI_OBJS)
	rm -f manpage $(MANPAGE_OBJS)
	rm -f demandoc $(DEMANDOC_OBJS)
	rm -f $(WWW_MANS) $(WWW_OBJS)
	rm -rf *.dSYM

base-install: base-build
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(EXAMPLEDIR)
	mkdir -p $(DESTDIR)$(LIBDIR)
	mkdir -p $(DESTDIR)$(INCLUDEDIR)
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	mkdir -p $(DESTDIR)$(MANDIR)/man3
	mkdir -p $(DESTDIR)$(MANDIR)/man7
	$(INSTALL_PROGRAM) mandoc demandoc $(DESTDIR)$(BINDIR)
	ln -f $(DESTDIR)$(BINDIR)/mandoc $(DESTDIR)$(BINDIR)/$(BINM_MAN)
	$(INSTALL_LIB) libmandoc.a $(DESTDIR)$(LIBDIR)
	$(INSTALL_LIB) man.h mandoc.h mandoc_aux.h mdoc.h \
		$(DESTDIR)$(INCLUDEDIR)
	$(INSTALL_MAN) mandoc.1 demandoc.1 $(DESTDIR)$(MANDIR)/man1
	$(INSTALL_MAN) man.1 $(DESTDIR)$(MANDIR)/man1/$(BINM_MAN).1
	$(INSTALL_MAN) mandoc.3 mandoc_escape.3 mandoc_malloc.3 \
		mchars_alloc.3 tbl.3 $(DESTDIR)$(MANDIR)/man3
	$(INSTALL_MAN) man.7 $(DESTDIR)$(MANDIR)/man7/${MANM_MAN}.7
	$(INSTALL_MAN) mdoc.7 $(DESTDIR)$(MANDIR)/man7/${MANM_MDOC}.7
	$(INSTALL_MAN) roff.7 $(DESTDIR)$(MANDIR)/man7/${MANM_ROFF}.7
	$(INSTALL_MAN) eqn.7 $(DESTDIR)$(MANDIR)/man7/${MANM_EQN}.7
	$(INSTALL_MAN) tbl.7 $(DESTDIR)$(MANDIR)/man7/${MANM_TBL}.7
	$(INSTALL_MAN) mandoc_char.7 $(DESTDIR)$(MANDIR)/man7
	$(INSTALL_DATA) example.style.css $(DESTDIR)$(EXAMPLEDIR)

db-install: base-build
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(SBINDIR)
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	mkdir -p $(DESTDIR)$(MANDIR)/man3
	mkdir -p $(DESTDIR)$(MANDIR)/man5
	mkdir -p $(DESTDIR)$(MANDIR)/man8
	ln -f $(DESTDIR)$(BINDIR)/mandoc $(DESTDIR)$(BINDIR)/$(BINM_APROPOS)
	ln -f $(DESTDIR)$(BINDIR)/mandoc $(DESTDIR)$(BINDIR)/$(BINM_WHATIS)
	ln -f $(DESTDIR)$(BINDIR)/mandoc \
		$(DESTDIR)$(SBINDIR)/$(BINM_MAKEWHATIS)
	$(INSTALL_MAN) apropos.1 $(DESTDIR)$(MANDIR)/man1/$(BINM_APROPOS).1
	ln -f $(DESTDIR)$(MANDIR)/man1/$(BINM_APROPOS).1 \
		$(DESTDIR)$(MANDIR)/man1/$(BINM_WHATIS).1
	$(INSTALL_MAN) mansearch.3 $(DESTDIR)$(MANDIR)/man3
	$(INSTALL_MAN) mandoc.db.5 $(DESTDIR)$(MANDIR)/man5
	$(INSTALL_MAN) makewhatis.8 \
		$(DESTDIR)$(MANDIR)/man8/$(BINM_MAKEWHATIS).8

cgi-install: cgi-build
	mkdir -p $(DESTDIR)$(CGIBINDIR)
	mkdir -p $(DESTDIR)$(HTDOCDIR)
	mkdir -p $(DESTDIR)$(WWWPREFIX)/man/mandoc/man1
	mkdir -p $(DESTDIR)$(WWWPREFIX)/man/mandoc/man8
	$(INSTALL_PROGRAM) man.cgi $(DESTDIR)$(CGIBINDIR)
	$(INSTALL_DATA) example.style.css $(DESTDIR)$(HTDOCDIR)/man.css
	$(INSTALL_DATA) man-cgi.css $(DESTDIR)$(HTDOCDIR)
	$(INSTALL_MAN) apropos.1 $(DESTDIR)$(WWWPREFIX)/man/mandoc/man1/
	$(INSTALL_MAN) man.cgi.8 $(DESTDIR)$(WWWPREFIX)/man/mandoc/man8/

Makefile.local config.h: configure ${TESTSRCS}
	@echo "$@ is out of date; please run ./configure"
	@exit 1

libmandoc.a: $(COMPAT_OBJS) $(LIBMANDOC_OBJS)
	$(AR) rs $@ $(COMPAT_OBJS) $(LIBMANDOC_OBJS)

mandoc: $(MAIN_OBJS) libmandoc.a
	$(CC) $(LDFLAGS) -o $@ $(MAIN_OBJS) libmandoc.a $(DBLIB)

manpage: $(MANPAGE_OBJS) libmandoc.a
	$(CC) $(LDFLAGS) -o $@ $(MANPAGE_OBJS) libmandoc.a $(DBLIB)

man.cgi: $(CGI_OBJS) libmandoc.a
	$(CC) $(LDFLAGS) $(STATIC) -o $@ $(CGI_OBJS) libmandoc.a $(DBLIB)

demandoc: $(DEMANDOC_OBJS) libmandoc.a
	$(CC) $(LDFLAGS) -o $@ $(DEMANDOC_OBJS) libmandoc.a

# --- maintainer targets ---

www-install: www
	mkdir -p $(HTDOCDIR)/snapshots
	$(INSTALL_DATA) $(WWW_MANS) style.css $(HTDOCDIR)
	$(INSTALL_DATA) $(WWW_OBJS) $(HTDOCDIR)/snapshots
	$(INSTALL_DATA) mdocml.tar.gz \
		$(HTDOCDIR)/snapshots/mdocml-$(VERSION).tar.gz
	$(INSTALL_DATA) mdocml.sha256 \
		$(HTDOCDIR)/snapshots/mdocml-$(VERSION).sha256

depend: config.h
	mkdep -f Makefile.depend $(CFLAGS) $(SRCS)
	perl -e 'undef $$/; $$_ = <>; s|/usr/include/\S+||g; \
		s|\\\n||g; s|  +| |g; s| $$||mg; print;' \
		Makefile.depend > Makefile.tmp
	mv Makefile.tmp Makefile.depend

mdocml.sha256: mdocml.tar.gz
	sha256 mdocml.tar.gz > $@

mdocml.tar.gz: $(DISTFILES)
	mkdir -p .dist/mdocml-$(VERSION)/
	$(INSTALL) -m 0644 $(DISTFILES) .dist/mdocml-$(VERSION)
	chmod 755 .dist/mdocml-$(VERSION)/configure
	( cd .dist/ && tar zcf ../$@ mdocml-$(VERSION) )
	rm -rf .dist/

# === SUFFIX RULES =====================================================

.SUFFIXES:	 .1       .3       .5       .7       .8       .h
.SUFFIXES:	 .1.html  .3.html  .5.html  .7.html  .8.html  .h.html

.h.h.html:
	highlight -I $< > $@

.1.1.html .3.3.html .5.5.html .7.7.html .8.8.html: mandoc
	./mandoc -Thtml -Wall,stop \
		-Ostyle=style.css,man=%N.%S.html,includes=%I.html $< > $@

=== debian/changelog ===
mdocml (1.13.3-3) unstable; urgency=medium

  * try harder to catch all PATH_MAX references for hurd-i386 build,
    closes: #829624
  * override the one Lintian warning that's unlikely to ever change

 -- Bdale Garbee <bdale@gag.com>  Thu, 07 Jul 2016 23:56:37 +0200

mdocml (1.13.3-2) unstable; urgency=medium

  * define PATH_MAX if not present, so hurd-i386 works, closes: #829624

 -- Bdale Garbee <bdale@gag.com>  Wed, 06 Jul 2016 20:50:01 +0200

mdocml (1.13.3-1) unstable; urgency=medium

  * Initial release (Closes: #829018)

 -- Bdale Garbee <bdale@gag.com>  Sat, 02 Jul 2016 21:09:13 +0200

=== debian/control ===
Source: mdocml
Section: doc
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>=9),autotools-dev
Standards-Version: 3.9.8
Homepage: http://mdocml.bsd.lv/
Vcs-Git: git://anonscm.debian.org/collab-maint/mdocml.git
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/mdocml.git

Package: mandoc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BSD manpage compiler toolset
 mandoc is a suite of tools compiling mdoc, the roff macro language of choice 
 for BSD manual pages, and man, the predominant historical language for UNIX 
 manuals. It is small, ISO C, ISC-licensed, and quite fast. The main component
 of the toolset is the mandoc utility program, based on the libmandoc 
 validating compiler, to format output for UNIX terminals (with support for 
 wide-character locales), XHTML, HTML, PostScript, and PDF.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@  --with autotools_dev

override_dh_auto_clean:
	[ ! -f Makefile.local ] || $(MAKE) clean

overrid_dh_installman:

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# HTTP site (basic)
http://mdocml.bsd.lv/snapshots/ \
  mdocml-([\d\.]+)\.tar\.gz debian uupdate

## mdocml 1.14.3

=== Makefile ===
# $Id: Makefile,v 1.516 2017/07/20 16:24:53 schwarze Exp $
#
# Copyright (c) 2010, 2011, 2012 Kristaps Dzonsons <kristaps@bsd.lv>
# Copyright (c) 2011, 2013-2017 Ingo Schwarze <schwarze@openbsd.org>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

VERSION = 1.14.3

# === LIST OF FILES ====================================================

TESTSRCS	 = test-be32toh.c \
		   test-cmsg.c \
		   test-dirent-namlen.c \
		   test-EFTYPE.c \
		   test-err.c \
		   test-fts.c \
		   test-getline.c \
		   test-getsubopt.c \
		   test-isblank.c \
		   test-mkdtemp.c \
		   test-nanosleep.c \
		   test-ntohl.c \
		   test-O_DIRECTORY.c \
		   test-ohash.c \
		   test-PATH_MAX.c \
		   test-pledge.c \
		   test-progname.c \
		   test-recvmsg.c \
		   test-reallocarray.c \
		   test-recallocarray.c \
		   test-rewb-bsd.c \
		   test-rewb-sysv.c \
		   test-sandbox_init.c \
		   test-strcasestr.c \
		   test-stringlist.c \
		   test-strlcat.c \
		   test-strlcpy.c \
		   test-strptime.c \
		   test-strsep.c \
		   test-strtonum.c \
		   test-vasprintf.c \
		   test-wchar.c

SRCS		 = att.c \
		   catman.c \
		   cgi.c \
		   chars.c \
		   compat_err.c \
		   compat_fts.c \
		   compat_getline.c \
		   compat_getsubopt.c \
		   compat_isblank.c \
		   compat_mkdtemp.c \
		   compat_ohash.c \
		   compat_progname.c \
		   compat_reallocarray.c \
		   compat_recallocarray.c \
		   compat_strcasestr.c \
		   compat_stringlist.c \
		   compat_strlcat.c \
		   compat_strlcpy.c \
		   compat_strsep.c \
		   compat_strtonum.c \
		   compat_vasprintf.c \
		   dba.c \
		   dba_array.c \
		   dba_read.c \
		   dba_write.c \
		   dbm.c \
		   dbm_map.c \
		   demandoc.c \
		   eqn.c \
		   eqn_html.c \
		   eqn_term.c \
		   html.c \
		   lib.c \
		   main.c \
		   man.c \
		   man_html.c \
		   man_macro.c \
		   man_term.c \
		   man_validate.c \
		   mandoc.c \
		   mandoc_aux.c \
		   mandoc_ohash.c \
		   mandoc_xr.c \
		   mandocd.c \
		   mandocdb.c \
		   manpath.c \
		   mansearch.c \
		   mdoc.c \
		   mdoc_argv.c \
		   mdoc_html.c \
		   mdoc_macro.c \
		   mdoc_man.c \
		   mdoc_markdown.c \
		   mdoc_state.c \
		   mdoc_term.c \
		   mdoc_validate.c \
		   msec.c \
		   out.c \
		   preconv.c \
		   read.c \
		   roff.c \
		   roff_html.c \
		   roff_term.c \
		   roff_validate.c \
		   soelim.c \
		   st.c \
		   tag.c \
		   tbl.c \
		   tbl_data.c \
		   tbl_html.c \
		   tbl_layout.c \
		   tbl_opts.c \
		   tbl_term.c \
		   term.c \
		   term_ascii.c \
		   term_ps.c \
		   term_tab.c \
		   tree.c

DISTFILES	 = INSTALL \
		   LICENSE \
		   Makefile \
		   Makefile.depend \
		   NEWS \
		   TODO \
		   apropos.1 \
		   catman.8 \
		   cgi.h.example \
		   compat_fts.h \
		   compat_ohash.h \
		   compat_stringlist.h \
		   configure \
		   configure.local.example \
		   dba.h \
		   dba_array.h \
		   dba_write.h \
		   dbm.h \
		   dbm_map.h \
		   demandoc.1 \
		   eqn.7 \
		   gmdiff \
		   html.h \
		   lib.in \
		   libman.h \
		   libmandoc.h \
		   libmdoc.h \
		   libroff.h \
		   main.h \
		   makewhatis.8 \
		   man.1 \
		   man.7 \
		   man.cgi.3 \
		   man.cgi.8 \
		   man.conf.5 \
		   man.h \
		   man.options.1 \
		   manconf.h \
		   mandoc.1 \
		   mandoc.3 \
		   mandoc.css \
		   mandoc.db.5 \
		   mandoc.h \
		   mandoc_aux.h \
		   mandoc_char.7 \
		   mandoc_escape.3 \
		   mandoc_headers.3 \
		   mandoc_html.3 \
		   mandoc_malloc.3 \
		   mandoc_ohash.h \
		   mandoc_xr.h \
		   mandocd.8 \
		   mansearch.3 \
		   mansearch.h \
		   mchars_alloc.3 \
		   mdoc.7 \
		   mdoc.h \
		   msec.in \
		   out.h \
		   predefs.in \
		   roff.7 \
		   roff.h \
		   roff_int.h \
		   soelim.1 \
		   st.in \
		   tag.h \
		   tbl.3 \
		   tbl.7 \
		   term.h \
		   $(SRCS) \
		   $(TESTSRCS)

LIBMAN_OBJS	 = man.o \
		   man_macro.o \
		   man_validate.o

LIBMDOC_OBJS	 = att.o \
		   lib.o \
		   mdoc.o \
		   mdoc_argv.o \
		   mdoc_macro.o \
		   mdoc_state.o \
		   mdoc_validate.o \
		   st.o

LIBROFF_OBJS	 = eqn.o \
		   roff.o \
		   roff_validate.o \
		   tbl.o \
		   tbl_data.o \
		   tbl_layout.o \
		   tbl_opts.o

LIBMANDOC_OBJS	 = $(LIBMAN_OBJS) \
		   $(LIBMDOC_OBJS) \
		   $(LIBROFF_OBJS) \
		   chars.o \
		   mandoc.o \
		   mandoc_aux.o \
		   mandoc_ohash.o \
		   mandoc_xr.o \
		   msec.o \
		   preconv.o \
		   read.o

COMPAT_OBJS	 = compat_err.o \
		   compat_fts.o \
		   compat_getline.o \
		   compat_getsubopt.o \
		   compat_isblank.o \
		   compat_mkdtemp.o \
		   compat_ohash.o \
		   compat_progname.o \
		   compat_reallocarray.o \
		   compat_recallocarray.o \
		   compat_strcasestr.o \
		   compat_strlcat.o \
		   compat_strlcpy.o \
		   compat_strsep.o \
		   compat_strtonum.o \
		   compat_vasprintf.o

MANDOC_HTML_OBJS = eqn_html.o \
		   html.o \
		   man_html.o \
		   mdoc_html.o \
		   roff_html.o \
		   tbl_html.o

MANDOC_TERM_OBJS = eqn_term.o \
		   man_term.o \
		   mdoc_term.o \
		   roff_term.o \
		   term.o \
		   term_ascii.o \
		   term_ps.o \
		   term_tab.o \
		   tbl_term.o

DBM_OBJS	 = dbm.o \
		   dbm_map.o \
		   mansearch.o

DBA_OBJS	 = dba.o \
		   dba_array.o \
		   dba_read.o \
		   dba_write.o \
		   mandocdb.o

MAIN_OBJS	 = $(MANDOC_HTML_OBJS) \
		   $(MANDOC_MAN_OBJS) \
		   $(MANDOC_TERM_OBJS) \
		   $(DBM_OBJS) \
		   $(DBA_OBJS) \
		   main.o \
		   manpath.o \
		   mdoc_man.o \
		   mdoc_markdown.o \
		   out.o \
		   tag.o \
		   tree.o

CGI_OBJS	 = $(MANDOC_HTML_OBJS) \
		   $(DBM_OBJS) \
		   cgi.o \
		   out.o

MANDOCD_OBJS	 = $(MANDOC_HTML_OBJS) \
		   $(MANDOC_TERM_OBJS) \
		   mandocd.o \
		   out.o \
		   tag.o

DEMANDOC_OBJS	 = demandoc.o

SOELIM_OBJS	 = soelim.o \
		   compat_err.o \
		   compat_getline.o \
		   compat_progname.o \
		   compat_reallocarray.o \
		   compat_stringlist.o

WWW_MANS	 = apropos.1.html \
		   demandoc.1.html \
		   man.1.html \
		   mandoc.1.html \
		   soelim.1.html \
		   man.cgi.3.html \
		   mandoc.3.html \
		   mandoc_escape.3.html \
		   mandoc_headers.3.html \
		   mandoc_html.3.html \
		   mandoc_malloc.3.html \
		   mansearch.3.html \
		   mchars_alloc.3.html \
		   tbl.3.html \
		   man.conf.5.html \
		   mandoc.db.5.html \
		   eqn.7.html \
		   man.7.html \
		   mandoc_char.7.html \
		   mandocd.8.html \
		   mdoc.7.html \
		   roff.7.html \
		   tbl.7.html \
		   catman.8.html \
		   makewhatis.8.html \
		   man.cgi.8.html \
		   man.h.html \
		   manconf.h.html \
		   mandoc.h.html \
		   mandoc_aux.h.html \
		   mansearch.h.html \
		   mdoc.h.html \
		   roff.h.html

# === USER CONFIGURATION ===============================================

include Makefile.local

# === DEPENDENCY HANDLING ==============================================

all: mandoc demandoc soelim $(BUILD_TARGETS) Makefile.local

install: base-install $(INSTALL_TARGETS)

www: $(WWW_MANS)

$(WWW_MANS): mandoc

.PHONY: base-install cgi-install install www-install
.PHONY: clean distclean depend

include Makefile.depend

# === TARGETS CONTAINING SHELL COMMANDS ================================

distclean: clean
	rm -f Makefile.local config.h config.h.old config.log config.log.old

clean:
	rm -f libmandoc.a $(LIBMANDOC_OBJS) $(COMPAT_OBJS)
	rm -f mandoc $(MAIN_OBJS)
	rm -f man.cgi $(CGI_OBJS)
	rm -f mandocd catman catman.o $(MANDOCD_OBJS)
	rm -f demandoc $(DEMANDOC_OBJS)
	rm -f soelim $(SOELIM_OBJS)
	rm -f $(WWW_MANS) mandoc.tar.gz mandoc.sha256
	rm -rf *.dSYM

base-install: mandoc demandoc soelim
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(SBINDIR)
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	mkdir -p $(DESTDIR)$(MANDIR)/man5
	mkdir -p $(DESTDIR)$(MANDIR)/man7
	mkdir -p $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_PROGRAM) mandoc demandoc $(DESTDIR)$(BINDIR)
	$(INSTALL_PROGRAM) soelim $(DESTDIR)$(BINDIR)/$(BINM_SOELIM)
	cd $(DESTDIR)$(BINDIR) && $(LN) mandoc $(BINM_MAN)
	cd $(DESTDIR)$(BINDIR) && $(LN) mandoc $(BINM_APROPOS)
	cd $(DESTDIR)$(BINDIR) && $(LN) mandoc $(BINM_WHATIS)
	cd $(DESTDIR)$(SBINDIR) && \
		$(LN) ${BIN_FROM_SBIN}/mandoc $(BINM_MAKEWHATIS)
	$(INSTALL_MAN) mandoc.1 demandoc.1 $(DESTDIR)$(MANDIR)/man1
	$(INSTALL_MAN) soelim.1 $(DESTDIR)$(MANDIR)/man1/$(BINM_SOELIM).1
	$(INSTALL_MAN) man.1 $(DESTDIR)$(MANDIR)/man1/$(BINM_MAN).1
	$(INSTALL_MAN) apropos.1 $(DESTDIR)$(MANDIR)/man1/$(BINM_APROPOS).1
	cd $(DESTDIR)$(MANDIR)/man1 && $(LN) $(BINM_APROPOS).1 $(BINM_WHATIS).1
	$(INSTALL_MAN) man.conf.5 $(DESTDIR)$(MANDIR)/man5/$(MANM_MANCONF).5
	$(INSTALL_MAN) mandoc.db.5 $(DESTDIR)$(MANDIR)/man5
	$(INSTALL_MAN) man.7 $(DESTDIR)$(MANDIR)/man7/$(MANM_MAN).7
	$(INSTALL_MAN) mdoc.7 $(DESTDIR)$(MANDIR)/man7/$(MANM_MDOC).7
	$(INSTALL_MAN) roff.7 $(DESTDIR)$(MANDIR)/man7/$(MANM_ROFF).7
	$(INSTALL_MAN) eqn.7 $(DESTDIR)$(MANDIR)/man7/$(MANM_EQN).7
	$(INSTALL_MAN) tbl.7 $(DESTDIR)$(MANDIR)/man7/$(MANM_TBL).7
	$(INSTALL_MAN) mandoc_char.7 $(DESTDIR)$(MANDIR)/man7
	$(INSTALL_MAN) makewhatis.8 \
		$(DESTDIR)$(MANDIR)/man8/$(BINM_MAKEWHATIS).8

lib-install: libmandoc.a
	mkdir -p $(DESTDIR)$(LIBDIR)
	mkdir -p $(DESTDIR)$(INCLUDEDIR)
	mkdir -p $(DESTDIR)$(MANDIR)/man3
	$(INSTALL_LIB) libmandoc.a $(DESTDIR)$(LIBDIR)
	$(INSTALL_LIB) man.h mandoc.h mandoc_aux.h mdoc.h roff.h \
		$(DESTDIR)$(INCLUDEDIR)
	$(INSTALL_MAN) mandoc.3 mandoc_escape.3 mandoc_malloc.3 \
		mansearch.3 mchars_alloc.3 tbl.3 $(DESTDIR)$(MANDIR)/man3

cgi-install: man.cgi
	mkdir -p $(DESTDIR)$(CGIBINDIR)
	mkdir -p $(DESTDIR)$(HTDOCDIR)
	$(INSTALL_PROGRAM) man.cgi $(DESTDIR)$(CGIBINDIR)
	$(INSTALL_DATA) mandoc.css $(DESTDIR)$(HTDOCDIR)

catman-install: mandocd catman
	mkdir -p $(DESTDIR)$(SBINDIR)
	mkdir -p $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_PROGRAM) mandocd $(DESTDIR)$(SBINDIR)
	$(INSTALL_PROGRAM) catman $(DESTDIR)$(SBINDIR)/$(BINM_CATMAN)
	$(INSTALL_MAN) mandocd.8 $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_MAN) catman.8 $(DESTDIR)$(MANDIR)/man8/$(BINM_CATMAN).8

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/mandoc
	rm -f $(DESTDIR)$(BINDIR)/demandoc
	rm -f $(DESTDIR)$(BINDIR)/$(BINM_SOELIM)
	rm -f $(DESTDIR)$(BINDIR)/$(BINM_MAN)
	rm -f $(DESTDIR)$(BINDIR)/$(BINM_APROPOS)
	rm -f $(DESTDIR)$(BINDIR)/$(BINM_WHATIS)
	rm -f $(DESTDIR)$(SBINDIR)/$(BINM_MAKEWHATIS)
	rm -f $(DESTDIR)$(MANDIR)/man1/mandoc.1
	rm -f $(DESTDIR)$(MANDIR)/man1/demandoc.1
	rm -f $(DESTDIR)$(MANDIR)/man1/$(BINM_SOELIM).1
	rm -f $(DESTDIR)$(MANDIR)/man1/$(BINM_MAN).1
	rm -f $(DESTDIR)$(MANDIR)/man1/$(BINM_APROPOS).1
	rm -f $(DESTDIR)$(MANDIR)/man1/$(BINM_WHATIS).1
	rm -f $(DESTDIR)$(MANDIR)/man5/$(MANM_MANCONF).5
	rm -f $(DESTDIR)$(MANDIR)/man5/mandoc.db.5
	rm -f $(DESTDIR)$(MANDIR)/man7/$(MANM_MAN).7
	rm -f $(DESTDIR)$(MANDIR)/man7/$(MANM_MDOC).7
	rm -f $(DESTDIR)$(MANDIR)/man7/$(MANM_ROFF).7
	rm -f $(DESTDIR)$(MANDIR)/man7/$(MANM_EQN).7
	rm -f $(DESTDIR)$(MANDIR)/man7/$(MANM_TBL).7
	rm -f $(DESTDIR)$(MANDIR)/man7/mandoc_char.7
	rm -f $(DESTDIR)$(MANDIR)/man8/$(BINM_MAKEWHATIS).8
	rm -f $(DESTDIR)$(CGIBINDIR)/man.cgi
	rm -f $(DESTDIR)$(HTDOCDIR)/mandoc.css
	rm -f $(DESTDIR)$(SBINDIR)/mandocd
	rm -f $(DESTDIR)$(SBINDIR)/$(BINM_CATMAN)
	rm -f $(DESTDIR)$(MANDIR)/man8/mandocd.8
	rm -f $(DESTDIR)$(MANDIR)/man8/$(BINM_CATMAN).8
	rm -f $(DESTDIR)$(LIBDIR)/libmandoc.a
	rm -f $(DESTDIR)$(MANDIR)/man3/mandoc.3
	rm -f $(DESTDIR)$(MANDIR)/man3/mandoc_escape.3
	rm -f $(DESTDIR)$(MANDIR)/man3/mandoc_malloc.3
	rm -f $(DESTDIR)$(MANDIR)/man3/mansearch.3
	rm -f $(DESTDIR)$(MANDIR)/man3/mchars_alloc.3
	rm -f $(DESTDIR)$(MANDIR)/man3/tbl.3

=== regress/man/Makefile ===
# $OpenBSD: Makefile,v 1.17 2015/03/20 16:09:25 schwarze Exp $

SUBDIR = B BI EX HP IP MT OP PD PP RS SH SS TH TP TS UR nf blank

.include "../Makefile.sub"
.include <bsd.subdir.mk>

=== regress/mdoc/Makefile ===
# $OpenBSD: Makefile,v 1.32 2017/01/11 17:39:45 schwarze Exp $

SUBDIR  = Ad An Ap Aq Ar At Bd Bf Bk Bl Brq Bx Cd Cm
SUBDIR += D1 Db Dd Dl Dq Dt Dv Em Eo Er Ev Ex Fd Fl Fo Ft Ic In Lb Li Lk
SUBDIR += Ms Mt Nd Nm No Ns Oo Op Os Ox Pa Pf Pp Qq Rs Rv
SUBDIR += Sh Sm Sq St Sx Sy Tn Ud Ux Va Vt Xr blank break

.include "../Makefile.sub"
.include <bsd.subdir.mk>

=== regress/char/accent/Makefile ===
# $OpenBSD: Makefile,v 1.1 2014/03/08 18:00:59 schwarze Exp $

REGRESS_TARGETS = nocombine utf8only combine
SKIP_ASCII = utf8only combine
UTF8_TARGETS = nocombine utf8only combine

.include <bsd.regress.mk>

=== regress/eqn/matrix/Makefile ===
# $OpenBSD: Makefile,v 1.1.1.1 2015/01/01 12:53:46 schwarze Exp $

REGRESS_TARGETS	 = basic empty
HTML_TARGETS	 = basic empty

.include <bsd.regress.mk>

=== regress/man/PP/Makefile ===
# $OpenBSD: Makefile,v 1.4 2014/07/04 16:11:41 schwarze Exp $

REGRESS_TARGETS	= args empty
LINT_TARGETS	= args empty

.include <bsd.regress.mk>

=== regress/man/RS/Makefile ===
# $OpenBSD: Makefile,v 1.11 2015/04/06 13:34:54 schwarze Exp $

REGRESS_TARGETS	 = an-margin breaking broken empty literal lonelyRE
REGRESS_TARGETS	+= nested noRE nowidth REarg width
LINT_TARGETS	 = empty lonelyRE noRE REarg

.include <bsd.regress.mk>

=== regress/man/TH/Makefile ===
# $OpenBSD: Makefile,v 1.9 2015/02/06 11:54:03 schwarze Exp $

REGRESS_TARGETS  = noTH noarg onearg twoargs sixargs case longtit longvol
REGRESS_TARGETS += emptydate onlyyear isodate mdocdate baddate longdate
REGRESS_TARGETS += nobody

LINT_TARGETS	 = noTH noarg onearg twoargs sixargs case
LINT_TARGETS	+= emptydate baddate longdate nobody

SKIP_GROFF	 = noTH longtit longvol longdate
SKIP_ASCII	 = noTH

.include <bsd.regress.mk>

=== regress/man/TS/Makefile ===
# $OpenBSD: Makefile,v 1.3 2015/01/30 21:28:21 schwarze Exp $

REGRESS_TARGETS	= break vspace
LINT_TARGETS	= break

# groff-1.22.3 defect:
# - Starting a table in next-line scope confuses font handling,
#   and in the case of .TP indentation as well.

SKIP_GROFF	= break


# OpenBSD only: maintainer targets

TBL=/usr/local/bin/tbl

.for t in ${REGRESS_TARGETS}
${t}.out_ascii: ${t}.in
	${TBL} ${.ALLSRC} | ${NROFF} ${NOPTS} -Tascii > ${.TARGET}
.endfor

.include <bsd.regress.mk>

=== regress/mdoc/Ad/Makefile ===
# $OpenBSD: Makefile,v 1.4 2014/07/02 20:18:42 schwarze Exp $

REGRESS_TARGETS	= noarg font
LINT_TARGETS	= noarg

.include <bsd.regress.mk>

=== regress/mdoc/Bd/Makefile ===
# $OpenBSD: Makefile,v 1.18 2014/12/24 23:31:59 schwarze Exp $

REGRESS_TARGETS	 = beforeNAME blank centered nested spacing
REGRESS_TARGETS	+= badargs empty offset-empty offset-neg
REGRESS_TARGETS	+= break broken unclosed

LINT_TARGETS	 = beforeNAME blank nested badargs break broken unclosed

SKIP_TMAN	 = beforeNAME centered

# groff-1.22.3 defects:
# - a display breaking another block continues indefinitely
# - negative offsets take no effect, but advance the indention on exit

SKIP_GROFF	 = break offset-neg

# adjustment is disabled in groff for now

SKIP_GROFF	+= centered

# groff handles content before NAME differently

SKIP_GROFF	+= beforeNAME

.include <bsd.regress.mk>

=== regress/mdoc/Bk/Makefile ===
# $OpenBSD: Makefile,v 1.7 2015/02/07 16:39:44 schwarze Exp $

REGRESS_TARGETS	 = badarg break broken inputlines lines synopsis
LINT_TARGETS	 = badarg broken

SKIP_TMAN ?= badarg

# mandoc -T markdown output of .Bk is quite ugly,
# so refrain from testing it for now

SKIP_MARKDOWN ?= ALL

.include <bsd.regress.mk>

=== debian/changelog ===
mdocml (1.14.3-3) unstable; urgency=medium

  * Add debian/patches/empty-html-id-crash.patch (from upstream)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 18 Sep 2017 16:10:53 +0200

mdocml (1.14.3-2) unstable; urgency=medium

  * Drop autotools-dev build-dependency and argument

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 05 Aug 2017 19:50:23 +0200

mdocml (1.14.3-1) unstable; urgency=medium

  * debian/watch: update tarball name
  * New upstream version 1.14.3

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 05 Aug 2017 17:47:46 +0200

mdocml (1.14.2-1) unstable; urgency=medium

  * New upstream version 1.14.2
  * Drop relative-links.patch (applied upstream)
  * bump Standards-Version (no changes necessary)
  * experimental to unstable as the freeze is over

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 28 Jul 2017 22:57:04 +0200

mdocml (1.14.1-3) experimental; urgency=medium

  * sync debian/patches/relative-links.patch with upstream

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 23 Mar 2017 10:28:08 +0100

mdocml (1.14.1-2) experimental; urgency=medium

  * add debian/patches/relative-links.patch

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 27 Feb 2017 19:39:57 +0100

mdocml (1.14.1-1) experimental; urgency=medium

  * New upstream version 1.14.1
  * enable tests
  * enable all hardening
  * bump debhelper compat level to 10
  * add new zlib1g-dev build dependency
  * drop debian/patches/hurd-path-max.patch (applied upstream)
  * configure.local: build catman, rename new binaries
  * make install_mandoc concurrency-safe (compat 10 enables --parallel)
  * Use secure Vcs-* URLs
  * add myself to uploaders
  * debian/watch: remove boilerplate from header
  * synchronize debian/copyright with LICENSE
  * install NEWS as upstream changelog
  * Use symbolic links instead of hard links

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 21 Feb 2017 22:06:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: doc
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>=9),autotools-dev
-Standards-Version: 3.9.8
+Uploaders: Michael Stapelberg <stapelberg@debian.org>
+Build-Depends: debhelper (>= 10), zlib1g-dev
+Standards-Version: 4.0.0
 Homepage: http://mdocml.bsd.lv/
-Vcs-Git: git://anonscm.debian.org/collab-maint/mdocml.git
-Vcs-Browser: http://anonscm.debian.org/git/collab-maint/mdocml.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/mdocml.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/mdocml.git
 
 Package: mandoc
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
@@ -15,9 +15,18 @@
 
 
 %:
-	dh $@  --with autotools_dev
+	dh $@
 
 override_dh_auto_clean:
 	[ ! -f Makefile.local ] || $(MAKE) clean
 
+override_dh_auto_build:
+	dh_auto_build -- CFLAGS="$$CFLAGS" CPPFLAGS="$$CPPFLAGS" LDFLAGS="$$LDFLAGS"
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
+
 overrid_dh_installman:
+
+override_dh_auto_test:
+	(cd regress && ./regress.pl)

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# HTTP site (basic)
http://mdocml.bsd.lv/snapshots/ \
  mandoc-([\d\.]+)\.tar\.gz debian uupdate

## mdocml 1.14.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# $Id: Makefile,v 1.516 2017/07/20 16:24:53 schwarze Exp $
+# $Id: Makefile,v 1.519 2018/07/31 15:34:00 schwarze Exp $
 #
 # Copyright (c) 2010, 2011, 2012 Kristaps Dzonsons <kristaps@bsd.lv>
-# Copyright (c) 2011, 2013-2017 Ingo Schwarze <schwarze@openbsd.org>
+# Copyright (c) 2011, 2013-2018 Ingo Schwarze <schwarze@openbsd.org>
 #
 # Permission to use, copy, modify, and distribute this software for any
 # purpose with or without fee is hereby granted, provided that the above
@@ -15,7 +15,7 @@
 # ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 # OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 
-VERSION = 1.14.3
+VERSION = 1.14.4
 
 # === LIST OF FILES ====================================================
 
@@ -30,6 +30,7 @@
 		   test-isblank.c \
 		   test-mkdtemp.c \
 		   test-nanosleep.c \
+		   test-noop.c \
 		   test-ntohl.c \
 		   test-O_DIRECTORY.c \
 		   test-ohash.c \
@@ -46,6 +47,7 @@
 		   test-stringlist.c \
 		   test-strlcat.c \
 		   test-strlcpy.c \
+		   test-strndup.c \
 		   test-strptime.c \
 		   test-strsep.c \
 		   test-strtonum.c \
@@ -70,6 +72,7 @@
 		   compat_stringlist.c \
 		   compat_strlcat.c \
 		   compat_strlcpy.c \
+		   compat_strndup.c \
 		   compat_strsep.c \
 		   compat_strtonum.c \
 		   compat_vasprintf.c \
@@ -249,6 +252,7 @@
 		   compat_strcasestr.o \
 		   compat_strlcat.o \
 		   compat_strlcpy.o \
+		   compat_strndup.o \
 		   compat_strsep.o \
 		   compat_strtonum.o \
 		   compat_vasprintf.o
@@ -469,5 +473,3 @@
 	rm -f $(DESTDIR)$(MANDIR)/man3/mandoc_escape.3
 	rm -f $(DESTDIR)$(MANDIR)/man3/mandoc_malloc.3
 	rm -f $(DESTDIR)$(MANDIR)/man3/mansearch.3
-	rm -f $(DESTDIR)$(MANDIR)/man3/mchars_alloc.3
-	rm -f $(DESTDIR)$(MANDIR)/man3/tbl.3

=== regress/roff/Makefile ===
# $OpenBSD: Makefile,v 1.20 2015/02/06 16:05:51 schwarze Exp $

SUBDIR  = args cond esc scale string
SUBDIR += br cc de ds ft ig it ll na nr po ps rm rn sp ta ti tr

.include "../Makefile.sub"
.include <bsd.subdir.mk>

=== regress/char/N/Makefile ===
# $OpenBSD: Makefile,v 1.2 2011/11/17 16:28:45 schwarze Exp $

REGRESS_TARGETS=basic

.include <bsd.regress.mk>

=== regress/eqn/nullary/Makefile ===
# $OpenBSD: Makefile,v 1.1.1.1 2015/01/01 12:53:46 schwarze Exp $

REGRESS_TARGETS	 = roman symbol
UTF8_TARGETS	 = symbol
HTML_TARGETS	 = roman symbol

.include <bsd.regress.mk>

=== regress/man/SH/Makefile ===
# $OpenBSD: Makefile,v 1.4 2015/04/04 18:52:12 schwarze Exp $

REGRESS_TARGETS	= broken broken_eline empty_before longarg noarg
LINT_TARGETS	= broken broken_eline empty_before noarg

# groff-1.22.3 defects:
# - .SH without args just before EOF causes two additional blank lines.
# - Empty .SH heads cause additional vertical spacing.
# - If .TP or .IP breaks .SH, the tag becomes bold.
# - If .HP breaks .SH, a line is broken after the next input line.
# - If .RS/RE/nf/fi breaks .SH, the next input line becomes bold.
# - .UR does not break .SH.
# - blank line in .SH next line scope causes blank lines and bogus indent

SKIP_GROFF	= broken broken_eline noarg

.include <bsd.regress.mk>

=== regress/man/SS/Makefile ===
# $OpenBSD: Makefile,v 1.2 2015/04/04 18:52:12 schwarze Exp $

REGRESS_TARGETS	= broken broken_eline longarg noarg
LINT_TARGETS	= broken broken_eline noarg

# groff-1.22.3 defects:
# - .SS without args just before EOF causes two additional blank lines.
# - Empty .SS heads cause additional vertical spacing.
# - If .TP or .IP breaks .SS, the tag becomes bold.
# - If .HP breaks .SS, a line is broken after the next input line.
# - If .RS/RE/nf/fi breaks .SS, the next input line becomes bold.
# - .UR does not break .SS.
# - blank line in .SS next-line scope causes a blank line

SKIP_GROFF	= broken broken_eline noarg

.include <bsd.regress.mk>

=== regress/man/TP/Makefile ===
# $OpenBSD: Makefile,v 1.12 2015/09/21 13:24:32 schwarze Exp $

REGRESS_TARGETS	 = badarg broken double eof fill indent literal longhead
REGRESS_TARGETS	+= macrotag manyargs sameline spacing width

LINT_TARGETS	 = broken double eof

# groff-1.22.3 defects:
# - If .TP precedes .RE, the latter does not properly reset indentation.
# - If the last line of the file is .TP, groff does not print a page footer.
# - A blank line in .TP next line scope causes a blank line.

SKIP_GROFF	 = broken eof

.include <bsd.regress.mk>

=== regress/man/nf/Makefile ===
# $OpenBSD: Makefile,v 1.7 2015/02/06 08:28:04 schwarze Exp $

REGRESS_TARGETS = indent args vert dupe userdef
LINT_TARGETS	= args dupe

.include <bsd.regress.mk>

=== regress/mdoc/Bf/Makefile ===
# $OpenBSD: Makefile,v 1.4 2014/07/04 16:11:42 schwarze Exp $

REGRESS_TARGETS	= nest multiargs badargs break broken
LINT_TARGETS	= multiargs badargs break broken

# mandoc -T markdown ignores .Bf, at least for now

SKIP_MARKDOWN ?= ALL

# groff-1.22.2 defects:
#  - If the first argument to .Bf is a bad one,
#    no block is opened at all and the .Ef causes another error.
#  - If a font block breaks another block,
#    fonts get mixed up when the other block finally ends.

SKIP_GROFF = badargs break

SKIP_TMAN = break broken

.include <bsd.regress.mk>

=== regress/mdoc/D1/Makefile ===
# $OpenBSD: Makefile,v 1.2 2015/02/06 02:04:35 schwarze Exp $

REGRESS_TARGETS	 = spacing
LINT_TARGETS	 = spacing

.include <bsd.regress.mk>

=== regress/mdoc/Dd/Makefile ===
# $OpenBSD: Makefile,v 1.2 2014/11/21 01:52:45 schwarze Exp $

REGRESS_TARGETS	 = badarg dupe late long manarg noarg order
LINT_TARGETS	 = badarg dupe late long manarg noarg order

# noarg output contains the date when the file is formatted

SKIP_ASCII	?= noarg
SKIP_MARKDOWN	?= noarg

# If groff finds exactly three arguments, it assumes they are month,
# day and year without further checking.  If there are no arguments,
# groff uses the string "Epoch".  Otherwise, it silently falls back
# to today's date.
# That is not at all sane behaviour, we are not going to imitate it.

SKIP_GROFF	 = badarg long manarg noarg

# Autodetection fails for late .Dd, so specify -mdoc explicitly.

MOPTS		+= -mdoc

.include <bsd.regress.mk>

=== regress/mdoc/Em/Makefile ===
# $OpenBSD: Makefile,v 1.3 2014/11/17 06:44:35 schwarze Exp $

REGRESS_TARGETS	= font noarg punct
LINT_TARGETS	= noarg punct

.include <bsd.regress.mk>

=== debian/changelog ===
mdocml (1.14.4-1) unstable; urgency=medium

  * New upstream version 1.14.4
  * drop empty-html-id-crash.patch (merged upstream)
  * d/watch: switch to secure URL
  * b/compat: bump to dh 11
  * d/control: M-x delete-trailing-whitespace
  * d/rules: add nocheck conditional
  * d/control: bump standards-version (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 09 Aug 2018 20:55:23 +0200

mdocml (1.14.3-4) unstable; urgency=medium

  * update Vcs-* tags after repository move to salsa.debian.org

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 03 Jun 2018 08:56:04 +0200

=== debian/control ===
Source: mdocml
Section: doc
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Uploaders: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 11), zlib1g-dev
Standards-Version: 4.1.4
Homepage: http://mdocml.bsd.lv/
Vcs-Git: https://salsa.debian.org/debian/mdocml.git
Vcs-Browser: https://salsa.debian.org/debian/mdocml

Package: mandoc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BSD manpage compiler toolset
 mandoc is a suite of tools compiling mdoc, the roff macro language of choice
 for BSD manual pages, and man, the predominant historical language for UNIX
 manuals. It is small, ISO C, ISC-licensed, and quite fast. The main component
 of the toolset is the mandoc utility program, based on the libmandoc
 validating compiler, to format output for UNIX terminals (with support for
 wide-character locales), XHTML, HTML, PostScript, and PDF.

=== debian/rules ===
--- 
+++ 
@@ -29,4 +29,6 @@
 overrid_dh_installman:
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	(cd regress && ./regress.pl)
+endif
